// JavaScript Document


function docReady(fn) {
    // see if DOM is already available
    if (document.readyState === "complete" || document.readyState === "interactive") {
        // call on next available tick
        setTimeout(fn, 1);
    } else {
        document.addEventListener("DOMContentLoaded", fn);
    }
}



docReady(function () {


// JavaScript Document
	// sitemap file
    const d				=	new Date();
    let time			=	d.getTime();
	var sitemapFile		=	'https://centagon.com/sitemap.xml?'+time;
	var languages		=	new RegExp('\/en|\/nl');
	var jumpURL			=	'';
	var foundURL		=	'false';


		function findPageInSitemap(urin,ecli) { // start find page in sitemap
			console.log('scriptStart');
//          console.log(ecli);
			var uri				=	urin.replace(/\/$/, ''); // remove potential last '/'
			var ecl 			=	ecli.currentTarget.href.replace(/\/$/, ''); // remove potential last '/'
          
			var curLang			=	ecl.match(languages);

			if (curLang == null){
				curLang = 'nl';
			} else {
				curLang =	curLang = curLang[0].slice(1);
			}
			
            jumpURL = ecl;
          
			$.ajax({ // start ajax call
				url: sitemapFile,
				type: "GET",
				dataType: "xml",
				success: function (result) { // start success handling

					$(result).find('loc').each(function () { // find locations
                      
						if ( $(this).text().replace(/\/$/, '') == uri )  { 

							$(this).parent()[0].childNodes.forEach( function(node) {

								if (node.nodeName == 'xhtml:link') {
									
									for (let j = 0; j < node.attributes.length; j++) { 
										if ( (node.attributes[j].name.toLowerCase() == 'hreflang') && (node.attributes[j].value == curLang) ) {
											jumpURL = node.attributes['href'].value;
											foundURL = 'true';
										}

									}
								}
							});
						}
                    });  // end find locations
					
                  
			if ( foundURL == 'true' ) {		
				location.href = jumpURL;
			} else { 
				location.href=ecl;
			}

				} // end success handling
			}); // end ajax call
		
		} // end find page in sitemap

		
		$(function() {	
			$('.c23-navi-language-1, .c23-navi-language-2').on('click', function(event) { // add listener to language menu
				event.preventDefault();
				console.log(window.location.origin+window.location.pathname + " : " + event.currentTarget.href);
				findPageInSitemap(window.location.origin+window.location.pathname,event);
			});
		});
 
});